Bug 93964 - [PATCH] www/bblog UNBREAK pkg-plist
Summary: [PATCH] www/bblog UNBREAK pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-01 01:20 UTC by Jean-François BOEUF
Modified: 2006-03-02 10:18 UTC (History)
0 users

See Also:


Attachments
file.diff (18.78 KB, patch)
2006-03-01 01:20 UTC, Jean-François BOEUF
no flags Details | Diff
bblog.diff (23.87 KB, patch)
2006-03-01 16:25 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François BOEUF 2006-03-01 01:20:04 UTC
- Port is marqued as BROKEN : auto-generated plist causes problems when deinstalling after make install sequence (files remain) or when using package (try to delete unexistant directory).

Fix: The patch cancels auto-generating plist and adds a correct static one.

bblog.diff
==================================================================================
Comment 1 Renato Botelho freebsd_committer 2006-03-01 12:09:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-03-01 16:25:07 UTC
Dear maintainer,

Install files on www/data-dist is not a good idea, so, I made some changes
on your port before commit, the most importat are:

- Install files on www/bblog
- Install just necessary files to don't need to remove some after it
- Add -v on ${CP} to show which files are being installed
- Move pkg-message to files/pkg-message.in and use SUB_FILES/SUB_LIST

I have yet one doubt, these commands:

        @${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/install.php
        @${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/compiled_templates/
        @${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/cache/
        @${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/cache/favorites.xml
        @${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/config.php

are really necessary?

Please, take a look in following patch and tell me if you approve it.

Thanks a lot for contributing

-----------------------------------------------------------
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/www/bblog/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile	28 Feb 2006 07:35:33 -0000	1.4
+++ Makefile	1 Mar 2006 16:10:46 -0000
@@ -7,29 +7,28 @@
 
 PORTNAME=	bBlog
 PORTVERSION=	0.7.6
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	bblog
-DISTNAME=	${PORTNAME}-${PORTVERSION}
+MASTER_SITE_SUBDIR=	${PORTNAME:L}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A elegant personal publishing system with Smarty
 
-BROKEN=		Incomplete pkg-plist
-
 USE_PHP=	mysql pcre session
-PHP4_PORT?=	www/mod_php4
 NO_BUILD=	YES
 WANT_PHP_WEB=	YES
 
-TMPDIR?=	blog
-WRKSRC=		${WRKDIR}
-WWWDOCROOT?=	www/data-dist
-BBLOGURL?=	bblog
+WRKSRC=		${WRKDIR}/${PORTNAME:L}
+WWWDOCROOT?=	www
+BBLOGURL?=	${PORTNAME:L}
 WWWOWN?=	www
 WWWGRP?=	www
 BBLOGDIR?=	${WWWDOCROOT}/${BBLOGURL}
-PLIST=		${WRKDIR}/pkg-plist
+
+SUB_FILES=	pkg-message
+SUB_LIST=	BBLOGURL=${BBLOGURL} BBLOGDIR=${BBLOGDIR}
+PLIST_SUB=	WWWDOCROOT=${WWWDOCROOT} BBLOGURL=${BBLOGURL}
 
 OPTIONS=	GD		"With GD Support" on \
 		IMAGICK		"With ImageMagick Support" off
@@ -49,30 +48,21 @@
 	@${ECHO_CMD} "Without GD or ImageMagick support. No thumbnails will be generated at all."
 .endif
 
-pre-install:
-	cd ${WRKSRC} && ${FIND} -s . -type f | \
-		${GREP} -v _done. | \
-		${GREP} -v '.PLIST' | \
-		${SED} -e 's|^./||;s|^|${BBLOGDIR}/|' > ${PLIST} \
-		&& ${FIND} -d * -type d | \
-		${SED} -e 's|^|@dirrm ${BBLOGDIR}/|' >> ${PLIST} \
-		&& ${ECHO_CMD} @dirrm ${BBLOGDIR} >> ${PLIST}
-
 do-install:
-	@${MKDIR} ${PREFIX}/${BBLOGDIR}
+	@${MKDIR} ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}
 	@${CHOWN} ${WWWOWN}:${WWWGRP} ${PREFIX}/${BBLOGDIR}
 	@${CHMOD} 755 ${PREFIX}/${BBLOGDIR}
-	@${CP} -R ${WRKSRC}/ ${PREFIX}/${BBLOGDIR}
-	@${RM} ${PREFIX}/${BBLOGDIR}/.PLIST*
-	@${RM} ${PREFIX}/${BBLOGDIR}/.*done*
-#	@${CP} -R ${WRKSRC}/${BBLOGURL}/ ${PREFIX}/${BBLOGDIR}
-	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/install.php
-	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/compiled_templates/
-	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/cache/
-	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/cache/favorites.xml
-	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/bblog/config.php
+.for f in archives.php documentation.txt htaccess-cleanurls index.php item rss.php search.php section
+	${INSTALL_DATA} ${WRKDIR}/${f} ${PREFIX}/${BBLOGDIR}
+.endfor
+	@${CP} -Rv ${WRKSRC}/* ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}
+	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}/install.php
+	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}/compiled_templates/
+	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}/cache/
+	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}/cache/favorites.xml
+	@${CHMOD} 775 ${PREFIX}/${BBLOGDIR}/${PORTNAME:L}/config.php
 
 post-install:
-	@${SED} -e 's|%%BBLOGURL%%|${BBLOGURL}|' ${PKGMESSAGE}
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: pkg-message
===================================================================
RCS file: pkg-message
diff -N pkg-message
--- pkg-message	9 Sep 2005 10:56:31 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,9 +0,0 @@
-          **** NOTE ****
-
-For first use of bBLog, remember to point your browser to
-
-http://localhost/%%BBLOGURL%%/bblog/install.php
-
-At the end of the install when the config file is written to disk, you
-should change the permissions back to 755 so it is not writable by the 
-webserver.
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/www/bblog/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	22 Apr 2005 04:04:06 -0000	1.1
+++ pkg-plist	1 Mar 2006 16:10:46 -0000
@@ -1 +1,309 @@
-@comment real PLIST will be generated in pre-install phase
+%%WWWDOCROOT%%/%%BBLOGURL%%/archives.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/admin.comments.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/admin.links.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/admin.rss.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/admin.rssfeedmaker.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/admin.sections.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/builtin.about.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/builtin.archives.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/builtin.help.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/builtin.options.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/builtin.plugins.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/builtin.post.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.archivemonths.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.blogroll.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.calendar.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.email.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getarchiveposts.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getarchives.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getcomments.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getcontent.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getpost.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getposts.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getrecentposts.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getrss.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.getsections.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.header.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.links.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.nextprev.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.recentposts.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.referers.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.sapi_test.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/function.sectionlinks.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.bbcode.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.date_format.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.htmlspecialchars.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.kses.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.locale.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.none.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.readmore.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.simple.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.smartypost.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.textile.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/modifier.texturize.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/cls_convertor.inc
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/doc.zip
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/extlib/Snoopy.class.inc
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/rss_cache.inc
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/rss_fetch.inc
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/rss_parse.inc
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/rss_utils.inc
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/rss.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bblog.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/cache/favorites.xml
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/compiled_templates/this_file_is_here_so_the_directory_is_extracted
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/config.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/cp.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/docs/LICENCE.txt
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/docs/README.txt
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/docs/changelog.txt
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/README.txt
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/asseenontv.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/bb.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/bblog.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/bblogpowered.png
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/blogroll2.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/css.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/csstableless.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/deviantart2.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/email.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/gnu.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/google_copy1.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/icq.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/icq2.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/mozillabetter.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/nz.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/onebuck.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/paypal2.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/phpaddict.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/phppow.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/phpren.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/rdf.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/rss092.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/rss2.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/rssvalid.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/smarty.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/smsme.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/trillian2.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/wbloggar.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/webstandards.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images/xhtml10.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/SettingsAPI.class.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/about.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/archives.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/atom.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/html_start.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/html_stop.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/layout_start.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/layout_stop.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/message.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/popup-footer.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/popup-header.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/post_edit.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common/teaser.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/error.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/help.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/login.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/message.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/options.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins/comments_admin.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins/links.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins/rss.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins/rssfeedmaker.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins/sections.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins/templates.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/popuppost.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/post.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/rss092.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/rss10.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/rss20.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/smartypost.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/standalone_message.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/bBlog.class.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/bookmarkletstuff.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/charsets.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/credits.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/functions.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/init.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/mail.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/taglines.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/templates.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/index.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/cleanurltest/.htaccess
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/cleanurltest/test
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/footer.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/header.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/index.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/standalone.upgrade.bblog07.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/steps.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/upgrade.bblog07.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/Config_File.class.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/Smarty.class.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/Smarty_Compiler.class.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.assemble_auto_filename.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.assemble_plugin_filepath.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.assign_smarty_interface.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.create_dir_structure.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.display_debug_console.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.get_include_path.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.get_microtime.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.get_php_resource.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.is_secure.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.is_trusted.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.load_plugins.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.load_resource_plugin.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.process_cached_inserts.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.process_compiled_include.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.read_cache_file.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.rm_auto.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.rmdir.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.run_insert_handler.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.smarty_include_php.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.write_cache_file.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.write_cache_paths_file.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.write_compiled_include.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.write_compiled_resource.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core/core.write_file.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/debug.tpl
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/ez_sql.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/rpc.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/make_bookmarklet.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/index.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/CHANGELOG
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/LICENSE
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/README
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/changelog.xml
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xBrowser.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xCheck.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xColumns.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xCore.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xDebug.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xDialog.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xHash.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xImage.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xLayer.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xLoader.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xMath.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xMenu.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xObject.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xSignals.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xStatus.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript/xWindow.js
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/block.strip.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/block.textformat.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.assign.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.assign_debug_info.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.config_load.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.counter.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.cycle.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.debug.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.eval.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.fetch.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_checkboxes.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_image.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_options.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_radios.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_select_date.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_select_time.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.html_table.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.mailto.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.math.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.popup.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.popup_init.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/function.printr.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.capitalize.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.cat.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.count_characters.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.count_paragraphs.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.count_sentences.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.count_words.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.date_format.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.debug_print_var.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.default.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.escape.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.indent.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.lower.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.nl2br.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.nohtml.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.printr.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.regex_replace.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.replace.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.spacify.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.string_format.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.strip.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.strip_tags.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.truncate.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.upper.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/modifier.wordwrap.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/outputfilter.trimwhitespace.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/shared.escape_special_chars.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins/shared.make_timestamp.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/style/admin.IE.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/style/admin.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/style/admin_header_trans.png
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/README-INSTALL.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/archives.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/calendar.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/dmig.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/footer.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/header.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/index.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/main.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/post.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/rtl.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/section.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/side.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig/template_thumb.jpg
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/archives.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/blue_stripes_header.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/blue_stripes_tile.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/blue_stripes_tile_left.gif
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/calendar.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/footer.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/header.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/index.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/lines.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/main.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/post.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/rtl.css
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines/section.html
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/trackback.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/bblog/xmlrpc.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/documentation.txt
+%%WWWDOCROOT%%/%%BBLOGURL%%/htaccess-cleanurls
+%%WWWDOCROOT%%/%%BBLOGURL%%/index.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/item
+%%WWWDOCROOT%%/%%BBLOGURL%%/rss.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/search.php
+%%WWWDOCROOT%%/%%BBLOGURL%%/section
+@dirrmtry %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/cache
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library/extlib
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss/library
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins/rss
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/bBlog_plugins
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/cache
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/compiled_templates
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/docs
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/images
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/common
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates/plugins
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/admin_templates
+@dirrmtry %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc/bBlog_templates
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/inc
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install/cleanurltest
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/install
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs/core
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/libs
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib/javascript
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script/xlib
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/script
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/smarty_plugins
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/style
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/dmig
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates/lines
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog/templates
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%/bblog
+@dirrm %%WWWDOCROOT%%/%%BBLOGURL%%
+@dirrm %%WWWDOCROOT%%
Index: files/pkg-message.in
===================================================================
RCS file: files/pkg-message.in
diff -N files/pkg-message.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-message.in	1 Mar 2006 16:10:46 -0000
@@ -0,0 +1,15 @@
+
+          **** NOTE ****
+
+First, Add the following line to your httpd.conf:
+
+Alias /%%BBLOGURL%%/ "%%PREFIX%%/%%BBLOGDIR%%"
+
+For first use of bBLog, remember to point your browser to
+
+http://localhost/%%BBLOGURL%%/install.php
+
+At the end of the install when the config file is written to disk, you
+should change the permissions back to 755 so it is not writable by the 
+webserver.
+
-----------------------------------------------------------

-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-03-01 16:27:00 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Renato Botelho freebsd_committer 2006-03-02 10:18:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!